Page MenuHomePhabricator

csharp : add move tag info to EinaAccessor, EinaIterator converter
ClosedPublic

Authored by lauromoura on Dec 15 2019, 9:01 PM.

Details

Summary

Included commits in devs/lauromoura/remove_eina_mono-rebased

commit ed6679db1901c710cc6ddb50e7001cfd20caa77a
Author: Lauro Moura <lauromoura@expertisesolutions.com.br>
Date:   Mon Dec 2 13:58:04 2019 -0300

    csharp: add move information to EnumerableToAccessor

    Still need to fix the converted accessor ownership, maybe by creating a
    custom accessor class that released the pinned memory when is freed.

ref T8486

Depends On D10878

Co-authored-by: Lauro Moura <lauromoura@expertisesolutions.com.br>

Test Plan

meson build -Dbindings=mono,cxx -Dmono-beta=true

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Dec 15 2019, 9:01 PM
YOhoho requested review of this revision.Dec 15 2019, 9:01 PM
lauromoura commandeered this revision.Dec 16 2019, 11:24 AM
lauromoura edited reviewers, added: YOhoho; removed: lauromoura.

Update:

  • Merged test with actual System.Generics.Collection usage (commit b3e181670e076 in the original branch)
  • Changed the conversion to native funcs to "shortcut" getting the ptr directly only in non-moving scenarios. Modifying the container could be confusing for the user.
  • Added some comments about things to be done in future commits.
YOhoho accepted this revision.Dec 16 2019, 6:42 PM

Thank you to update patch.

Please remove unused variable before land.

src/tests/efl_mono/Eo.cs
291

../src/tests/efl_mono/Eo.cs(291,13): warning CS0219: The variable 'obj' is assigned but its value is never used

unused variable..

This revision is now accepted and ready to land.Dec 16 2019, 6:42 PM
Closed by commit rEFL8e951504f584: csharp : add move tag info to EinaAccessor, EinaIterator converter (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by lauromoura). · Explain WhyDec 17 2019, 6:41 AM
This revision was automatically updated to reflect the committed changes.